import { makeObservable } from "mobx";
// 光荣牌
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";
import baseHttp from "@/service/base";

class GpConfig {
    static LIST: string = "/v1/gplaque/list"
    static ADD: string = "/v1/gplaque"
    static DELETE: string = "/v1/gplaque"
    static EDIT: string = "/v1/gplaque"
    static ACCESS: string = "/v1/gplaque/access"
}
class GpStore extends BaseStore<TagDataType> {
    constructor() {
        super(GpConfig)
        makeObservable(this, {})
        // access
    }
    // 审核
    async access(idel: string, param: any) {
        await baseHttp.put(GpConfig.ACCESS + "/" + idel, param)
        this.getlist()
    }
}
const gpStore = new GpStore()
export default gpStore;

